Data.List.Ordered

# Predicates

member

memberBy

has

hasBy

subset

subsetBy

isSorted

isSortedBy

# Insertion Functions

insertBag

insertBagBy

insertSet

insertSetBy

# Set-like operations

isect

isectBy

union

unionBy

minus

minusBy

minus'

minusBy'

xunion

xunionBy

merge

mergeBy

mergeAll

mergeAllBy

unionAll

unionAllBy

# Lists to Ordered Lists

nub

nubBy

sort

sortBy

sortOn

sortOn'

nubSort

nubSortBy

nubSortOn

nubSortOn'

# Miscellaneous folds

foldt

foldt'